### Method

# Gio SocketAddress get_native_size

since: 2.22

#### Declaration

    gssize
    g_socket_address_get_native_size (
      GSocketAddress* address
    )

#### Description

Gets the size of `address`‘s native struct sockaddr. You can use this to allocate memory to pass to g_socket_address_to_native().

Available since: 2.22

#### Return value

Type: `gssize`

The size of the native struct sockaddr that `address` represents.